Package org.apache.velocity.runtime.resource.util

# Interface StringResourceRepository

All Known Implementing Classes:
  `StringResourceRepositoryImpl`

public interface StringResourceRepository
A StringResourceRepository functions as a central repository for Velocity templates stored in Strings.

Since:
  1.5
Version:
  $Id$
Author:
  Eelco Hillenius, Henning P. Schmiedehausen

## Method Summary

Modifier and Type
Method
Description
`String`
`getEncoding()`
Returns the current encoding of this repository.
`StringResource`
`getStringResource(String name)`
get the string resource that is stored with given key
`void`
`putStringResource(String name, String body)`
add a string resource with given key.
`void`
`putStringResource(String name, String body, String encoding)`
add a string resource with given key.
`void`
`removeStringResource(String name)`
delete a string resource with given key.
`void`
`setEncoding(String encoding)`
Sets the default encoding of the repository.

## Method Details

### getStringResource

StringResource getStringResource(String name)
get the string resource that is stored with given key

Parameters:
  `name` - String name to retrieve from the repository.
Returns:
  A StringResource containing the template.

### putStringResource

void putStringResource(String name, String body)
add a string resource with given key.

Parameters:
  `name` - The String name to store the template under.
  `body` - A String containing a template.

### putStringResource

void putStringResource(String name, String body, String encoding)
add a string resource with given key.

Parameters:
  `name` - The String name to store the template under.
  `body` - A String containing a template.
  `encoding` - The encoding of this string template
Since:
  1.6

### removeStringResource

void removeStringResource(String name)
delete a string resource with given key.

Parameters:
  `name` - The string name to remove from the repository.

### setEncoding

void setEncoding(String encoding)
Sets the default encoding of the repository. Encodings can also be stored per template string. The default implementation does this correctly.

Parameters:
  `encoding` - The encoding to use.

### getEncoding

String getEncoding()
Returns the current encoding of this repository.

Returns:
  The current encoding of this repository.